%define upstream_name    XML-LibXSLT
%define upstream_version 1.81

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl interface to the gnome libxslt library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(XML::LibXML) >= 1.700.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: libgdbm-devel
BuildRequires: libxslt-devel
BuildRequires: perl-devel
Requires:   perl(XML::LibXML) >= 1.59
%description
This module is a fast XSLT library, based on the Gnome libxslt engine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files 
%doc Changes META.json META.yml MYMETA.yml README example
%{_mandir}/*/*
%{perl_vendorarch}/XML
%{perl_vendorarch}/auto/XML


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.810.0-2.mga4
+ Revision: 536937
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.810.0-1.mga4
+ Revision: 485973
- update to 1.81

* Wed May 29 2013 jquelin <jquelin> 1.800.0-2.mga4
+ Revision: 431837
- perl 5.18.0 rebuild

* Wed May 29 2013 shlomif <shlomif> 1.800.0-1.mga4
+ Revision: 431546
- New version 1.80 + rebuild for new perl-5.18.0

* Wed May 29 2013 jquelin <jquelin> 1.780.0-3.mga4
+ Revision: 431289
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.780.0-2.mga3
+ Revision: 375056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 1.780.0-1.mga3
+ Revision: 295145
- update to 1.78

* Wed May 30 2012 jquelin <jquelin> 1.770.0-2.mga3
+ Revision: 251339
- rebuild for perl 5.16

* Tue Mar 06 2012 jquelin <jquelin> 1.770.0-1.mga2
+ Revision: 219828
- update to 1.77

* Wed Jan 25 2012 jquelin <jquelin> 1.760.0-1.mga2
+ Revision: 201085
- update to 1.76

* Sat Nov 05 2011 kharec <kharec> 1.750.0-1.mga2
+ Revision: 163499
- update to 1.75

* Thu Nov 03 2011 jquelin <jquelin> 1.740.0-1.mga2
+ Revision: 162392
- update to 1.74

* Fri Oct 14 2011 jquelin <jquelin> 1.730.0-1.mga2
+ Revision: 154904
- update to 1.73

* Mon Sep 26 2011 jquelin <jquelin> 1.710.0-1.mga2
+ Revision: 148502
- update to 1.71

* Sat Jun 11 2011 spuhler <spuhler> 1.700.0-4.mga2
+ Revision: 104084
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.700.0-3.mga1
+ Revision: 31490
- mageia rebuild
- imported package perl-XML-LibXSLT


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.700.0-3mdv2011.0
+ Revision: 564595
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.700.0-2mdv2011.0
+ Revision: 556192
- rebuild for perl 5.12

* Sat Nov 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1.700.0-1mdv2010.1
+ Revision: 462463
- update to 1.70

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.680.0-1mdv2010.0
+ Revision: 408241
- rebuild using %%perl_convert_version

* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.68-1mdv2009.1
+ Revision: 300655
- update to new version 1.68

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Fri Feb 01 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.66-1mdv2008.1
+ Revision: 161177
- update to new version 1.66

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.63-2mdv2008.1
+ Revision: 152423
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Oct 13 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.63-1mdv2008.1
+ Revision: 98010
- new version


* Mon Dec 11 2006 Olivier Thauvin <nanardon@mandriva.org> 1.62-1mdv2007.0
+ Revision: 94621
- 1.62
- Import perl-XML-LibXSLT

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.60-1mdv2007.0
- New version 1.60

* Sat Aug 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.59-1mdv2007.0
- new version
- rpmbuildupdate aware

* Fri Oct 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.58-1mdk
- 1.58
- Change summary; remove MANIFEST
- introduce tests

* Thu Nov 18 2004 Michael Scherer <misc@mandrake.org> 1.57-2mdk
- Rebuild for new perl

* Sat Apr 24 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.57-1mdk
- 1.57
- use %%make macro

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.53-5mdk
- Own dir
- rebuild

